--- kaffe/kaffe/kaffevm/external.c.orig	Thu Aug 27 08:39:51 1998
+++ kaffe/kaffe/kaffevm/external.c	Thu Aug 27 18:00:25 1998
@@ -21,13 +21,13 @@
 #include "constants.h"
 #include "classMethod.h"
 #include "slots.h"
-#include "external.h"
 #include "errors.h"
 #include "exception.h"
 #include "slib.h"
 #include "paths.h"
 #include "support.h"
 #include "md.h"
+#include "external.h"
 #if defined(NO_SHARED_LIBRARIES)
 #include "../../libraries/clib/external_native.h"
 #endif
@@ -84,14 +84,8 @@
 	char* nptr;
 
 	ptr = getenv(LIBRARYPATH);
-	if (ptr == 0) {
-#if defined(DEFAULT_LIBRARYPATH)
+	if (ptr == 0)
 		ptr = DEFAULT_LIBRARYPATH;
-#else
-		fprintf(stderr, "No library path set.\n");
-		return;
-#endif
-	}
 	libraryPath = gc_malloc_fixed(strlen(ptr) + 1);
 	strcpy(libraryPath, ptr);
 
--- kaffe/config/config-hacks.h.orig	Thu Aug 20 09:11:09 1998
+++ kaffe/config/config-hacks.h	Thu Aug 27 18:15:57 1998
@@ -30,7 +30,6 @@
 /* Hack for NetBSD */
 #if defined(__NetBSD__)
 #define	HAVE_DYN_UNDERSTORE 1
-#define	DEFAULT_LIBRARYPATH "/usr/local/lib:/usr/lib"
 #endif
 
 /* Hack to configure AIX */
@@ -50,4 +49,12 @@
  */
 #if defined(arm32) || (defined(arm) && defined(linux))
 #define DOUBLE_ORDER_OPPOSITE
+#endif
+
+/* This is the place where Kaffe searchs for libraries if everything
+ * else fails */
+#if !defined(__WIN32__) && !defined(__amigaos__)
+#define	DEFAULT_LIBRARYPATH "/usr/local/lib:/usr/lib"
+#else
+#define DEFAULT_LIBRARYPATH "no_default_path"
 #endif
